Subject: Re: kernel BUG at include/linux/scatterlist.h:LINE!

From: Eric Biggers <[email-masked]>
Date: Mon, 10 Jun 2019 11:41:04 -0700

On Wed, May 22, 2019 at 08:58:05AM -0700, syzbot wrote:
> Hello,
> 
> syzbot found the following crash on:
> 
> HEAD commit:    af8f3fb7 net: stmmac: dma channel control register need to..
> git tree:       net
> console output: https://syzkaller.appspot.com/x/log.txt?x=17c2d418a00000
> kernel config:  https://syzkaller.appspot.com/x/.config?x=fc045131472947d7
> dashboard link: https://syzkaller.appspot.com/bug?extid=df0d4ec12332661dd1f9
> compiler:       gcc (GCC) 9.0.0 20181231 (experimental)
> syz repro:      https://syzkaller.appspot.com/x/repro.syz?x=15b53ce4a00000
> C reproducer:   https://syzkaller.appspot.com/x/repro.c?x=14b0aa52a00000
> 
> The bug was bisected to:
> 
> commit f295b3ae9f5927e084bd5decdff82390e3471801
> Author: Vakul Garg <[email-masked]>
> Date:   Wed Mar 20 02:03:36 2019 +0000
> 
>     net/tls: Add support of AES128-CCM based ciphers
> 
> bisection log:  https://syzkaller.appspot.com/x/bisect.txt?x=16915282a00000
> final crash:    https://syzkaller.appspot.com/x/report.txt?x=15915282a00000
> console output: https://syzkaller.appspot.com/x/log.txt?x=11915282a00000
> 
> IMPORTANT: if you fix the bug, please add the following tag to the commit:
> Reported-by: [email-masked]
> Fixes: f295b3ae9f59 ("net/tls: Add support of AES128-CCM based ciphers")
> 
> ------------[ cut here ]------------
> kernel BUG at include/linux/scatterlist.h:97!
> invalid opcode: 0000 [#1] PREEMPT SMP KASAN
> CPU: 1 PID: 8868 Comm: syz-executor428 Not tainted 5.2.0-rc1+ #21
> Hardware name: Google Google Compute Engine/Google Compute Engine, BIOS
> Google 01/01/2011
> RIP: 0010:sg_assign_page include/linux/scatterlist.h:97 [inline]
> RIP: 0010:sg_set_page include/linux/scatterlist.h:119 [inline]
> RIP: 0010:sk_msg_page_add include/linux/skmsg.h:246 [inline]
> RIP: 0010:tls_sw_do_sendpage net/tls/tls_sw.c:1171 [inline]
> RIP: 0010:tls_sw_sendpage+0xd63/0xf50 net/tls/tls_sw.c:1230

Hi Vakul, when are you planning to fix this?

- Eric